# workflows versions create

Certainly, here's the updated documentation with the `WORKFLOW_FILE` marked as a required positional argument:

## Synopsis

```shell
omics workbench workflows versions create --workflow=WORKFLOW_ID --name=TEXT
  [--description=FILE|TEXT]
  WORKFLOW_FILE...
```

## Description

Create a new version within a specific workflow using the provided `WORKFLOW_UUID` and `name`. You can set the description and specify WDL files for the new version using the provided flags and the required positional argument.

## Examples

Create a new version with the specified name for the given workflow:

```shell
omics workbench workflows versions create --workflow 123e4567-e89b-12d3-a456-426614174000 --name "New Version" main.wdl
```

Create a new version with a description provided in a Markdown file:

```shell
omics workbench workflows versions create --workflow 123e4567-e89b-12d3-a456-426614174000 --name "New Version" --description @new_version_description.md main.wdl
```

## Positional Arguments

### `WORKFLOW_FILE`

**Required**. A WDL or supporting text file that you would like to include as part of the new version. You can specify multiple files at once. The first WDL file specified will become the entry point of the new version.

The CLI transparently handles imports for you, inspecting each WDL and resolving/finding relative imports that are defined in the files. Because of this, it is typically sufficient to only specify the entry point of the new version, since all other files will be discoverable from that.

{% hint style="info" %}
Files matching support file naming patterns (`*.defaults.json`, `*.transformation.js`, `*.dependencies.json`) are automatically recognized and create defaults, transformations, or dependencies for the workflow version. See [Support Files](/products/workbench/workflows/support-files.md) for naming conventions and details.
{% endhint %}

## Flags

### `--entrypoint`=`FILE`

A required flag to specify the entrypoint for the workflow. Needs to be a path of a file in a context of the workflow, e.g., `main.wdl`.

### `--workflow`=`WORKFLOW_ID`

**Required**. Specify the UUID of the workflow in which you want to create a new version.

### `--name`=`TEXT`

**Required**. Set the human-readable name for the new version. The version ID will be derived from the version name and must be unique within the specified workflow.

### `--description`=`FILE|TEXT`

Provide or update the description of the new version. You can either provide the description directly as text or use a file containing the description in Markdown format.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
